#!/usr/bin/perl -w
use strict;

my $truthFile = shift or die;
my $simFile   = shift or die;
my $startPos = shift or die;
my $endPos = shift or die;

my $N = 0;
print '"Truth"' . "\n";
open T, $truthFile or die;
while (<T>) {
    chomp;
    my ($t) = split;
    $N++;
    $t -= 4;
    if (($N >= $startPos) && ($N <= $endPos)) {
        print "$N -4\n$N $t\n$N -4\n";
    }
}
close T or die;

my $maxSim = 0;
open S, $simFile or die;
while (<S>) {
    chomp;
    my ($s) = split;
    if ($s > $maxSim) { $maxSim = $s; }
}
close S or die;

$N=0;
print "\n" . '"Similarity"' . "\n";
open S, $simFile or die;
while (<S>) {
    chomp;
    my ($s) = split;
    if (not $s =~ /^[0123]$/) { $s = 0; }
    $N++;
    $s *= 4 / $maxSim;
    if (($N >= $startPos) && ($N <= $endPos)) {
        print "$N 0\n$N $s\n$N 0\n";
    }
}
close S or die;
